SharedGalleryImageVersionsOperations Class
SharedGalleryImageVersionsOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectSharedGalleryImageVersionsOperations
Constructor
SharedGalleryImageVersionsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Get a shared gallery image version by subscription id or tenant id. |
| list |
List shared gallery image versions by subscription id or tenant id. |
get
Get a shared gallery image version by subscription id or tenant id.
async get(location: str, gallery_unique_name: str, gallery_image_name: str, gallery_image_version_name: str, **kwargs: Any) -> azure.mgmt.compute.v2021_07_01.models._models_py3.SharedGalleryImageVersion
Parameters
- gallery_image_name
- str
The name of the Shared Gallery Image Definition from which the Image Versions are to be listed.
- gallery_image_version_name
- str
The name of the gallery image version to be created. Needs
to follow semantic version name pattern: The allowed characters are digit and period. Digits
must be within the range of a 32-bit integer. Format:
<MajorVersion>.:code:.:code:.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
SharedGalleryImageVersion, or the result of cls(response)
Return type
Exceptions
list
List shared gallery image versions by subscription id or tenant id.
list(location: str, gallery_unique_name: str, gallery_image_name: str, shared_to: Optional[Union[str, azure.mgmt.compute.v2021_07_01.models._compute_management_client_enums.SharedToValues]] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.compute.v2021_07_01.models._models_py3.SharedGalleryImageVersionList]
Parameters
- gallery_image_name
- str
The name of the Shared Gallery Image Definition from which the Image Versions are to be listed.
- shared_to
- str or SharedToValues
The query parameter to decide what shared galleries to fetch when doing listing operations.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either SharedGalleryImageVersionList or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.compute.v2021_07_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\compute\\v2021_07_01\\models\\__init__.py'>
Feedback
Submit and view feedback for